Install gluonts on Amazon SageMaker training EC2s

Hi,
my team loves gluonts but we don’t manage to bring it to the pre-built Sagemaker MXNet training container. We trained both a pip install gluonts in the entry point script and a gluonts in the requirements.txt but get this:

Collecting gluonts
  Could not find a version that satisfies the requirement gluonts (from versions: )
No matching distribution found for gluonts

Any idea how to install gluonts in the SageMaker MXNet container?
cheers

I think gluonts does not support python2, so maybe you should try pip3 install gluonts?

I believed SageMaker Training Instances use python/pip as aliases for python3/pip3 by default when you set py_version='py3' in the MXNet Estimator. In fact, now I do get:

pip 18.1 from /usr/local/lib/python3.5/dist-packages/pip (python 3.5)
/usr/bin/python: No module named pip3
/usr/bin/python: No module named pip3

GluonTS requires Python 3.6

1 Like